
Figure - Bug #118167
【IOVISSUE-7273】【VC1】【质量】【副屏】短暂锁车上电后点击副屏QQ音乐播放按钮，显示被其他音源打
断
2023-05-22 21:35 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-22

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 无

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【问题描述】：【VC1】【质量】【副屏】短暂锁车上电后点击副屏QQ音乐播放按钮，显示被其他音源打断

【前置条件】：车辆上电P档状态

【软件环境】：EE

【软件版本】：IDCM 03.02.0080.C101

【提报人】：王林辉

【操作步骤】：1.点击副屏，播放应用宝下载的QQ音乐

2.点击暂停按钮，NFC锁车1分钟，再次打开QQ音乐

【预期结果】：1.无次异常提示

【实际结果】：1.显示被其他音源异常打断

【问题频率】：偶发

【实车VN】：LJD8BC3F7P0000701

【发生时间】：2023/5/20 14：50

【数采仪】： 0300124

History

#1 - 2023-05-23 17:55 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

该问题通过日志分析，发现是QQ申请焦点时，微服务转发焦点信息超时，导致QQ音乐的焦点获取失败，音乐暂停。

05-20 14:50:42.098  1512  1788 I MediaFocusControl: requestAudioFocus() from uid/pid 10099/5244 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC

clientId=android.media.AudioManager@76b43c4com.tencent.qqmusicplayerprocess.servicenew.listener.AudioFocusListener$a@4e9c2ad

callingPack=com.tencent.qqmusic req=1 flags=0x0 sdk=29 ★★★ QQ音乐播放

1413:05-20 14:50:43.093  1512  2812 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM:

event=2(PLAYER_STATE_STARTED)apc =AudioPlaybackConfiguration piid:71 deviceId:0 type:android.media.AudioTrack u/pid:10099/5244 state:idle

attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0xA00 tags= bundle=null sessionId:41

1417:05-20 14:50:43.095  1512  2812 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 3  ★★★ QQ音乐申请焦点

1418:05-20 14:50:43.095  1512  2812 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: AudioFocus_Media

1419:05-20 14:50:43.095  1512  2812 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}

1420:05-20 14:50:43.095  1512  2812 I MicroServiceManager: requestResult(requestAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}.
1421:05-20 14:50:43.095  1512  2812 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

1422:05-20 14:50:43.096  1512  2812 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState

1508:05-20 14:50:43.107  2044  6805 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1684565443096163004',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1684565443096163004,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}}}  ★★★ 微服务通知中控

1702:05-20 14:50:43.137  2044  6809 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}} ★★★ 微服务收到

消息

1810:05-20 14:50:43.696  1512  2812 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: RequestInfosToIDCM{mPid=5244, mUid=10099}

1811:05-20 14:50:43.696  1512  2812 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

1812:05-20 14:50:43.696  1512  2812 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout= true time= 600 ★★★ 微服务转发消息

超时

1813:05-20 14:50:43.696  1512  2812 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM -> stopPlayer: 71

1814:05-20 14:50:43.696  1512  2812 D AudioService.PlaybackActivityMonitor: idcm_af:stopPlayer apc= AudioPlaybackConfiguration piid:71 deviceId:0

type:android.media.AudioTrack u/pid:10099/5244 state:idle attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0xA00

tags= bundle=null sessionId:41

1815:05-20 14:50:43.696  1512  2812 W AudioService.PlaybackActivityMonitor: idcm_warn: ====rejected by IDCM: PLAYER_STATE_STARTED

1817:05-20 14:50:43.696  1512  1793 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

1818:05-20 14:50:43.696  1512  1793 D AudioService.PlaybackActivityMonitor: idcm_af:onAudioFocusRemoteChanged: 0 info=

RequestInfosToIDCM{mPid=5244, mUid=10099}

1819:05-20 14:50:43.696  1512  1793 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: 0 info: RequestInfosToIDCM{mPid=5244, mUid=10099}

1820:05-20 14:50:43.696  1512  1793 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: uid= 10099 fr = 10099 focusChange= -1 ★★★ 更新焦点

，QQ音乐播放暂停

下一步：

需要AF组查看当前的微服务转发消息为什么超时。

#2 - 2023-05-23 19:01 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW 曹覃刚

#3 - 2023-05-24 16:11 - CD FW 曹覃刚

- Category changed from AUDIO-FW to CD-FW

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#4 - 2023-05-24 20:25 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS_TEST 王成

需要确定测试时的副屏版本号

根据现象观察，可能是由微设定消息串行导致消息阻塞，在00100版本进行了修复如果是小于00100的副屏版本，请使用新版本的副屏惊醒测试是否还存

在该问题。

#5 - 2023-05-25 18:08 - CDTS_Test 吴诗雨

已同步
#6 - 2023-06-03 17:34 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

6.3

客户初步验证通过，继续跟踪中，先关闭

#7 - 2023-06-03 17:34 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-06-03 17:34 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

2025-07-04 3/3


